Mailinglist Archive: opensuse-updates (64 mails)

< Previous Next >
openSUSE-RU-2015:1049-1: moderate: Recommended update for webgitgtk
openSUSE Recommended Update: Recommended update for webgitgtk
______________________________________________________________________________

Announcement ID: openSUSE-RU-2015:1049-1
Rating: moderate
References: #932229
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This recommended udpate provides the current bugfix-release 2.4.9 of
webkitgtk with various fixes and improvements (bnc#932229):

- Check TLS errors as soon as they are set in the SoupMessage to prevent
any data from being sent to the server in case of invalid certificate.
- Clear the GObject DOM bindings internal cache when frames are destroyed
or web view contents are updated.
- Add HighDPI support for non-accelerated compositing contents.
- Fix some transfer annotations used in GObject DOM bindings.
- Use latin1 instead of UTF-8 for HTTP header values.
- Fix synchronous loads when maximum connection limits are reached.
- Fix a crash ScrollView::contentsToWindow() when GtkPluginWidget doesn't
have a parent.
- Fix a memory leak in webkit_web_policy_decision_new.
- Fix g_closure_unref runtime warning.
- Fix a crash due to empty drag image during drag and drop.
- Fix rendering of scrollbars with GTK+ >= 3.16.
- Fix the build on mingw32/msys.
- Fix the build with WebKit2 disabled.
- Fix the build with accelerated compositing disabled.
- Fix clang version check in configure.
- Fix the build with recent versions of GLib that have GMutexLocker.
- Fix the build for Linux/MIPS64EL.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-415=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libjavascriptcoregtk-1_0-0-2.4.9-10.1
libjavascriptcoregtk-1_0-0-debuginfo-2.4.9-10.1
libjavascriptcoregtk-3_0-0-2.4.9-10.1
libjavascriptcoregtk-3_0-0-debuginfo-2.4.9-10.1
libwebkitgtk-1_0-0-2.4.9-10.1
libwebkitgtk-1_0-0-debuginfo-2.4.9-10.1
libwebkitgtk-3_0-0-2.4.9-10.1
libwebkitgtk-3_0-0-debuginfo-2.4.9-10.1
libwebkitgtk-devel-2.4.9-10.1
libwebkitgtk3-devel-2.4.9-10.1
typelib-1_0-JavaScriptCore-1_0-2.4.9-10.1
typelib-1_0-JavaScriptCore-3_0-2.4.9-10.1
typelib-1_0-WebKit-1_0-2.4.9-10.1
typelib-1_0-WebKit-3_0-2.4.9-10.1
webkit-jsc-1-2.4.9-10.1
webkit-jsc-1-debuginfo-2.4.9-10.1
webkit-jsc-3-2.4.9-10.1
webkit-jsc-3-debuginfo-2.4.9-10.1

- openSUSE 13.2 (x86_64):

libjavascriptcoregtk-1_0-0-32bit-2.4.9-10.1
libjavascriptcoregtk-1_0-0-debuginfo-32bit-2.4.9-10.1
libjavascriptcoregtk-3_0-0-32bit-2.4.9-10.1
libjavascriptcoregtk-3_0-0-debuginfo-32bit-2.4.9-10.1
libwebkitgtk-1_0-0-32bit-2.4.9-10.1
libwebkitgtk-1_0-0-debuginfo-32bit-2.4.9-10.1
libwebkitgtk-3_0-0-32bit-2.4.9-10.1
libwebkitgtk-3_0-0-debuginfo-32bit-2.4.9-10.1

- openSUSE 13.2 (noarch):

libwebkitgtk2-lang-2.4.9-10.1
libwebkitgtk3-lang-2.4.9-10.1


References:

https://bugzilla.suse.com/932229


< Previous Next >
This Thread
  • No further messages